cost.hh File Reference
`#include <mia/core/cost.hh>`
`#include <mia/2d/image.hh>`
Include dependency graph for 2d/cost.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef TCost< C2DImage, C2DFVectorfield > | C2DImageCost
| the base class for simple 2D image cost functions
typedef TFactory< C2DImageCost > | C2DImageCostPlugin
| the base class for simple 2D image cost functions plug ins
typedef THandlerSingleton< TFactoryPluginHandler< C2DImageCostPlugin > > | C2DImageCostPluginHandler
| the 2D image cost function plugin handler
typedef std::shared_ptr< C2DImageCost > | P2DImageCost
| pointer type of simple 2D image cost functions

## Variables

template class EXPORT_2D | TCost< C2DImage, C2DFVectorfield >

## Typedef Documentation

## C2DImageCost

typedef TCost<C2DImage, C2DFVectorfield> C2DImageCost

the base class for simple 2D image cost functions

Definition at line 31 of file 2d/cost.hh.

## C2DImageCostPlugin

typedef TFactory<C2DImageCost> C2DImageCostPlugin

the base class for simple 2D image cost functions plug ins

Definition at line 34 of file 2d/cost.hh.

## C2DImageCostPluginHandler

typedef THandlerSingleton<TFactoryPluginHandler<C2DImageCostPlugin> > C2DImageCostPluginHandler

the 2D image cost function plugin handler

Definition at line 37 of file 2d/cost.hh.

## P2DImageCost

typedef std::shared_ptr<C2DImageCost > P2DImageCost

pointer type of simple 2D image cost functions

Definition at line 40 of file 2d/cost.hh.

## Variable Documentation

## TCost< C2DImage, C2DFVectorfield >

template class EXPORT_2D TCost< C2DImage, C2DFVectorfield >

extern